package com.hfkj.service.rebate;

import com.hfkj.entity.BsRebateReward;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 返利金 - 奖池
 * @className: BsRebateRewardService
 * @author: HuRui
 * @date: 2023/10/10
 **/
public interface BsRebateRewardService {

    /**
     * 编辑数据
     * @param rebateReward
     */
    void editData(BsRebateReward rebateReward);

    /**
     * 创建返利金活动
     * @param timeStart
     * @param timeEnd
     * @param merIdList
     */
    void createReward(Date timeStart, Date timeEnd, List<Long> merIdList);

    /**
     * 发放奖池
     * @param batchIdentifier
     */
    void grantReward(Long batchIdentifier);

    /**
     * 查询返利奖池
     * @param batchIdentifier
     * @return
     */
    BsRebateReward getRebateReward(Long batchIdentifier);

    /**
     * 查询返利奖池列表
     * @param param
     * @return
     */
    List<BsRebateReward> getRebateRewardList(Map<String,Object> param);

}
